fs - Bug #24679

qa: cfuse_workunit_kernel_untar_build fails on Ubuntu 18.04
06/27/2018 06:11 PM - Patrick Donnelly

Status: Resolved Start date: 06/27/2018

Priority: High Due date:

Assignee: Patrick Donnelly % Done: 0%

Category: Testing Estimated time: 0.00 hour

Target version: v14.0.0

Source: Q/A Affected Versions:

Tags: ceph-qa-suite:

Backport: mimic Component(FS): ga-suite

Regression: No Labels (FS): ga

Severity: 3 - minor Pull request ID:

Reviewed:

Description

2018-06-27T07:21:23.699 INFO:tasks.workunit.client.0.smithi033.stdout:scripts/kconfig/conf —--silen

toldconfig Kconfig

2018-06-27T07:21:48.310 INFO:tasks.workunit.client.O.smithi033.stdout: SYSTBL arch/x86/syscalls/

../include/generated/asm/syscalls_32.h

2018-06-27T07:21:48.314 INFO:tasks.workunit.client.0.smithi033.stdout: SYSHDR arch/x86/syscalls/

../include/generated/asm/unistd_32_ia32.h

2018-06-27T07:21:48.323 INFO:tasks.workunit.client.0.smithi033.stdout: SYSHDR arch/x86/syscalls/

../include/generated/asm/unistd_64_x32.h

2018-06-27T07:21:48.332 INFO:tasks.workunit.client.0.smithi033.stdout: SYSTBL arch/x86/syscalls/

../include/generated/asm/syscalls_64.h

2018-06-27T07:21:48.343 INFO:tasks.workunit.client.0.smithi033.stdout: SYSHDR arch/x86/syscalls/

../include/generated/uapi/asm/unistd_32.h

2018-06-27T07:21:48.358 INFO:tasks.workunit.client.0.smithi033.stdout: SYSHDR arch/x86/syscalls/

../include/generated/uapi/asm/unistd_64.h

2018-06-27T07:21:48.390 INFO:tasks.workunit.client.0.smithiO033.stdout: SYSHDR arch/x86/syscalls/

../include/generated/uapi/asm/unistd_x32.h

2018-06-27T07:21:48.446 INFO:tasks.workunit.client.0.smithi033.stdout: CHK include/config/ker

nel.release

2018-06-27T07:21:48.622 INFO:tasks.workunit.client.0.smithi033.stdout: WRAP arch/x86/include/g

enerated/asm/clkdev.h

2018-06-27T07:21:48.635 INFO:tasks.workunit.client.0.smithi033.stdout: WRAP arch/x86/include/g

enerated/asm/cputime.h

2018-06-27T07:21:48.645 INFO:tasks.workunit.client.0.smithi033.stdout: WRAP arch/x86/include/g

enerated/asm/dma-contiguous.h

2018-06-27T07:21:48.656 INFO:tasks.workunit.client.0.smithi033.stdout: WRAP arch/x86/include/g

enerated/asm/early_ioremap.h

2018-06-27T07:21:48.675 INFO:tasks.workunit.client.0.smithi033.stdout: WRAP arch/x86/include/g

enerated/asm/mcs_spinlock.h

2018-06-27T07:21:48.680 INFO:tasks.workunit.client.0.smithi033.stdout: WRAP arch/x86/include/g

enerated/asm/scatterlist.h

2018-06-27T07:21:48.691 INFO:tasks.workunit.client.0.smithi033.stdout: UPD include/config/ker

nel.release

2018-06-27T07:21:49.266 INFO:tasks.workunit.client.O.smithi033.stdout: CHK include/generated/

uapi/linux/version.h

2018-06-27T07:21:49.288 INFO:tasks.workunit.client.0.smithi033.stdout: UPD include/generated/

uapi/linux/version.h

2018-06-27T07:21:49.368 INFO:tasks.workunit.client.0.smithi033.stdout: CHK include/generated/

utsrelease.h

2018-06-27T07:21:49.381 INFO:tasks.workunit.client.0.smithi033.stdout: UPD include/generated/

utsrelease.h

2018-06-27T07:21:49.514 INFO:tasks.workunit.client.O0.smithi033.stdout: HOSTCC scripts/kallsyms
2018-06-27T07:21:49.
2018-06-27T07:21:49.
h
2018-06-27T07:21:49.
o
2018-06-27T07:21:49.
nheaders/genheaders
2018-06-27T07:21:49.631
1 does not support PIC mode
2018-06-27T07:21:49.650 INFO
recipe for target

520
523

588

624

pty.o] Error 1

2018-06-27T07:21:49.652 INFO:tasks.workunit.client.
failed
:tasks.

recipe for target
2018-06-27T07:21:49.652
rror 2
2018-06-27T07:21:
inished jobs....
2018-06-27T07:21:
p/mdp
2018-06-27T07:
get 'scripts'
2018-06-27T07:
2018-06-27T07:
shed jobs....
2018-06-27T07:
2018-06-27T07:

INFO

49.652

49.799

21:50.299
failed

21:50.300
21:50.300

21:50.833

21:50.834 INFO

INFO:
INFO:

INFO:
INFO:

INFO:

'scripts/mod’

INFO:
INFO:
INFO:

INFO:
INFO:

INFO:

:tasks.workunit.client.
'scripts/mod/empty.o’
2018-06-27T07:21:49.650 INFO:tasks.workunit.client.

tasks

tasks.
tasks.

tasks.

tasks.

tasks.

tasks.

tasks.

tasks.
tasks.

workunit.
workunit.

workunit.

workunit.

workunit.

fai

workunit.

.workunit.

workunit.

workunit.

workunit.
workunit.

tasks.workunit:

led

client.
client.

client.

client.

client.

client.

client.

client.

client.

client.
client.

Stopping

.smithi033.
.smithi033.

.smithi033.

.smithi033.

.smithi033.

.smithi033.

.smithi033.

.smithi033.

.smithi033.

.smithi033.

.smithi033.

.smithi033.

.smithi033.
.smithi033.

['kernel_untar_build.sh']
:teuthology.orchestra.run.smithi033:Running:

stdout:
stdout:

stdout:

stdout:

stderr:

stdout:

stderr

stdout:

stderr

stderr

stdout:

stdout

stderr
stderr

ephtest/workunits.list.client.0 /home/ubuntu/cephtest/clone.client.0Q’
2018-06-27T07:21:51.162 ERROR:teuthology.run_tasks:Saw exception from tasks.

Traceback

File "/home/teuthworker/src/git.ceph.com_git_teuthology_master/teuthology/run_tasks.py",

, in run_tasks
manager =

, in run_one_task
return task (**kwargs)

(most recent call last):

run_one_task (taskname,
File "/home/teuthworker/src/git.ceph.com_git_teuthology_master/teuthology/run_tasks.py",

ctx=ct

Xy

config=config)

:make[2]:

:make[1]:

:make[1l]:

:Makefile:557:

:make:
:make:

HOSTCC scripts/pnmtologo
HOSTCC scripts/conmakehas
cc scripts/mod/empty.
HOSTCC scripts/selinux/ge
ccl: error: code model kerne
scripts/Makefile.build:258:

*** [scripts/mod/em

scripts/Makefile.build:403:
*** [gcripts/mod] E
*** Waiting for unf
HOSTCC scripts/selinux/md
recipe for tar

* % %

[scripts] Error 2

*** Waiting for unfini

on client.0...
'rm -rf —- /home/ubuntu/c

line 86

line 65

File "/home/teuthworker/src/git.ceph.com_ceph-c_wip-pdonnell-testing-20180626.223928/ga/tasks/wo

line 206,
cleanup=cleanup)

rkunit.py",

in task

File "/home/teuthworker/src/git.ceph.com_ceph-c_wip-pdonnell-testing-20180626.223928/ga/tasks/wo

rkunit.py", line 356,
timeout=timeout)

File "/home/teuthworker/src/git.ceph.com_git_teuthology_master/teuthology/parallel.py",

in _ _exit_
for result in self:

File "/home/teuthworker/src/git.ceph.com_git_teuthology_master/teuthology/parallel.py",

in next

resurrect_traceback (result)

File "/home/teuthworker/src/git.ceph.com_git_teuthology_master/teuthology/parallel.py",

in capture_traceback
return func(*args,

**kwargs)

in _spawn_on_all_clients

line 85,

line 99,

line 22,

File "/home/teuthworker/src/git.ceph.com_ceph-c_wip-pdonnell-testing-20180626.223928/ga/tasks/wo

rkunit.py", line 479,

in _run_tests

label="workunit test {workunit}".format (workunit=workunit)

File "/home/teuthworker/src/git.ceph.com_git_teuthology_master/teuthology/orchestra/remote.py",

line 193, in run

=

e 423,
r.wait ()

in run

File "/home/teuthworker/src/git.ceph.com_git_teuthology_master/teuthology/orchestra/run.py",

e 155,
self._raise_for_status ()

in wait

File "/home/teuthworker/src/git.ceph.com_git_teuthology_master/teuthology/orchestra/run.py",

e 177,
node=self.hostname,

in _raise_for_status
self._runner (client=self.ssh,
File "/home/teuthworker/src/git.ceph.com_git_teuthology_master/teuthology/orchestra/run.py",

label=self.label

name=self.shortname,

**kwargs)

lin

lin

lin
From:
/ceph/teuthology-archive/pdonnell-2018-06-27_00:32:27-fs-wip-pdonnell-testing-20180626.223928-testing-basic-smithi/2708930/teut
hology.log

Related issues:

Related to fs - Bug #26967: ga: kcephfs suite has kernel build failures Resolved 08/20/2018
Duplicated by Ceph - Bug #24521: "stderr:cc1: error: code model kernel does n... Duplicate 06/13/2018
Copied to fs - Backport #26956: mimic: ga: cfuse_workunit_kernel_untar_build ... Resolved

History

#1 - 06/29/2018 12:57 PM - Zheng Yan

kernel source is too old for gcc 7

#2 - 07/23/2018 05:02 PM - Patrick Donnelly
- Duplicated by Bug #24521: "stderr:cc1: error: code model kernel does not support PIC mode" in powercycle added

#3 - 08/13/2018 04:31 PM - Patrick Donnelly

- Status changed from New to In Progress

https://github.com/ceph/ceph/pull/23551

#4 - 08/13/2018 04:31 PM - Patrick Donnelly
- Assignee changed from Zheng Yan to Patrick Donnelly

#5 - 08/16/2018 04:57 PM - Patrick Donnelly

- Status changed from In Progress to Pending Backport

#6 - 08/17/2018 06:48 AM - Nathan Cutler
- Copied to Backport #26956: mimic: qa: cfuse_workunit_kernel_untar_build fails on Ubuntu 18.04 added

#7 - 08/20/2018 09:00 PM - Patrick Donnelly
- Related to Bug #26967: qa: kcephfs suite has kernel build failures added

#8 - 09/12/2018 07:36 PM - Nathan Cutler
- Status changed from Pending Backport to Resolved
